Subject: bug#46972: RE : RE : bug#46972: 28.0.50; [feature/native-comp] Emacs locks itself during native compilation because of permission denied

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 22:16:19 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: Matt M <[email-masked]>, [email-masked]
> Date: Sat, 06 Mar 2021 20:14:12 +0000
> 
> > Hmm...  Andrea, what could that Emacs wait for?  When compilation
> > signals the error described by Matt, why doesn't Emacs exit instead of
> > waiting for something?
> 
> I *think* that what might be going on here is that Emacs is trying to
> delete a stale .eln file through `comp-delete-or-replace-file'.  There
> we have some Windows specific code that I guess might loop forever.
> 
> I guess somebody observing this issue will have confirm or refut this
> suspect debugging this function.

OK, I will try to reproduce this and look into the cause(s).